<form method="post" #studentForm="ngForm" (ngSubmit)="addStudent(studentForm['value'])">
    <div class="row">
        <mat-form-field appearance="fill" class="form-fileds col-sm-6">
            <mat-label>Student's Roll No</mat-label>
            <input required name="studentRollNo" ngModel matInput placeholder="e.g = 121281772">
        </mat-form-field>
        <mat-form-field appearance="fill" class="form-fileds col-sm-6">
            <mat-label>Student Full Name</mat-label>
            <input required name="studentName" ngModel matInput placeholder="e.g. Rahul Agrawal">
        </mat-form-field>
    </div>
    <div class="row">
        <mat-form-field class="form-fileds col-sm-6">
            <input required name="dob" ngModel matInput [matDatepicker]="picker" placeholder="Choose date of birth">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field appearance="fill" class="form-fileds col-sm-6">
            <mat-label>Marks in Physics</mat-label>
            <input type="number" required name="physics" ngModel matInput placeholder="e.g. 67">
        </mat-form-field>
    </div>
    <div class="row">
        <mat-form-field appearance="fill" class="form-fileds col-sm-6">
            <mat-label>Marks in Maths</mat-label>
            <input type="number" required name="maths" ngModel matInput placeholder="e.g. 62">
        </mat-form-field>
        <mat-form-field appearance="fill" class="form-fileds col-sm-6">
            <mat-label>Marks in Chemistry</mat-label>
            <input type="number" required name="chemistry" ngModel matInput placeholder="e.g. 72">
        </mat-form-field>
    </div>
    <div class="center">
        <button mat-raised-button color="primary" type="submit"
            >Add Student</button>
    </div>
</form>